Utils.FrequencyType (The Data Transfer Scheduler DB interface 2.0.0-2.16.1 API)
Date: 2013-09-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.datatransfer.scheduler.db.utils
Enum Utils.FrequencyType

    java.lang.Object
      java.lang.Enum<Utils.FrequencyType>
          org.gcube.datatransfer.scheduler.db.utils.Utils.FrequencyType

All Implemented Interfaces:
  Serializable, Comparable<Utils.FrequencyType>

Enclosing class:
  Utils

    public static enum Utils.FrequencyType

extends Enum<Utils.FrequencyType>

Enum Constant Summary
`perDay`
`perHour`
`perMinute`
`perMonth`
`perWeek`
`perYear`

Method Summary
`static Utils.FrequencyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Utils.FrequencyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### perMinute

    public static final Utils.FrequencyType perMinute

### perHour

    public static final Utils.FrequencyType perHour

### perDay

    public static final Utils.FrequencyType perDay

### perWeek

    public static final Utils.FrequencyType perWeek

### perMonth

    public static final Utils.FrequencyType perMonth

### perYear

    public static final Utils.FrequencyType perYear

Method Detail

### values

    public static Utils.FrequencyType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Utils.FrequencyType c : Utils.FrequencyType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Utils.FrequencyType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.